# Agreement Tier Validation

This module extends the functionality of Agreement to support a tier validation process.

Table of contents

- Installation
- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Installation

This module depends on `base_tier_validation`. You can find it at OCA/server-ux

# Configuration

To configure this module, you need to:

1. Go to Settings > Technical > Tier Validations > Tier Definition.
2. Create as many tiers as you want for Agreement model.

# Usage

To use this module, you need to:

1. Create a Agreement triggering at least one “Tier Definition”.
2. Click on Request Validation button.
3. Under the tab Reviews have a look to pending reviews and their statuses.
4. Once all reviews are validated the State can be set to “active”.

Additional features:

- You can filter the Agreement requesting your review through the filter Needs my Review.
- User with rights to confirm the Agreement (validate all tiers that would be generated) can directly do the operation, this is, there is no need for her/him to request a validation.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Ecosoft

## Contributors

- Kitti U. <kittiu@ecosoft.co.th>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/contract project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.